import React from 'react';
import { makeStyles } from '@material-ui/core/styles';
import Accordion from '@material-ui/core/Accordion';
import AccordionSummary from '@material-ui/core/AccordionSummary';
import AccordionDetails from '@material-ui/core/AccordionDetails';
import Typography from '@material-ui/core/Typography';
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';
import { useSelector } from 'react-redux';

const useStyles = makeStyles((theme) => ({
  root: {
    width: '100%',
  },
  sumary: {
    borderWidth: (contraste) => (contraste ? '1px 1px 1px 1px' : null),
    border: (contraste) => (contraste ? 'solid' : null),
    borderColor: (contraste) => (contraste ? theme.palette.black.black : null),
    background: theme.palette.white.components,
    color: theme.palette.black.white,
  },
  icon: {
    color: theme.palette.white.components,
  },
  details: {
    borderColor: theme.palette.black.components,
    borderWidth: '2px 2px 2px 2px',
    border: 'solid',
    color: theme.palette.black.grey,
  },
}));

export default function SimpleAccordion(props) {
  const contraste = useSelector((state) => state.contraste);
  const classes = useStyles(contraste);
  const [expanded, setExpanded] = React.useState('panel1');

  const handleChange = (panel) => (event, newExpanded) => {
    setExpanded(newExpanded ? panel : false);
  };

  return (
    <>
      {props.content.map((elemento) => (
        <div className={classes.root} key={elemento}>
          <Accordion
            className={classes.accordion}
            square
            expanded={expanded === 'panel' + elemento.painel}
            onChange={handleChange('panel' + elemento.painel)}
          >
            <AccordionSummary
              expandIcon={<ExpandMoreIcon className={classes.icon} />}
              aria-controls='panel1d-content'
              id='panel1d-header'
              className={classes.sumary}
            >
              <Typography variant='body1'>{elemento.title}</Typography>
            </AccordionSummary>
            <AccordionDetails className={classes.details}>
              <Typography variant='body1'>{elemento.content}</Typography>
            </AccordionDetails>
          </Accordion>
        </div>
      ))}
    </>
  );
}
