import React from 'react';
import { Box, Typography } from '@material-ui/core';
import { useSelector } from 'react-redux';

import { ContainerContour } from './styles';

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const { children, image, border, height, alt } = props;

  return (
    <ContainerContour
      border={border}
      height={height}
      image={image}
      contraste={contrasteValue}
    >
      <Box className='contentContour'>
        <Box className='contentBox'>
          {image ? (
            <Box className='img'>
              <img src={image} alt={alt} />
            </Box>
          ) : (
            <></>
          )}
          <Typography variant='body1' className='text indented'>
            {children}
          </Typography>
        </Box>
      </Box>
    </ContainerContour>
  );
}
