import styled from 'styled-components';
import { FocusAcessibility } from '../../theme/commonstyles';

export const Label = styled.label`
  font-weight: bold;
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: min-content;
  white-space: nowrap;
  align-items: center;
  cursor: pointer;

  .text-toggle {
    color: white;
    position: relative;
    left: -50px;
  }
  img {
    width: 20px;
    height: 20px;
    margin-right: 5px;
  }
`;

export const Sample = styled.div`
  padding: 16px;
  ${FocusAcessibility}
  @media (max-height: 800px) and (min-width: 900px) {
    padding: 0;
    position: relative;
    top: -12px;
  }
`;
export const Button = styled.button`
  background: none;
  border: none;
  height: auto;
  display: flex;
  height: 100%;
  ${(props) =>
    props.tooltip
      ? `
    &::after {
      --scale: 0;
      content: attr(data-tooltip);
      position: absolute;
      text-align: center;
      bottom: -1.75rem;
      right: 15px;
      padding: .5rem;
      max-width: 120rem;
      font-weight: bold;
      background: ${props.theme.palette.white.componentsSecondary};
      color: ${props.theme.palette.black.white};
      border-radius: 5px;
      box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
      transform: scale(var(--scale));
      transition: 150ms transform;
      transform-origin: top center;
      z-index: 2;
    }

    &:hover::after, &:focus::after {
      --scale: 1;
    }`
      : ''};
`;
