import React, { useEffect, useState } from 'react';
import { Box, Typography } from '@material-ui/core';
import { useSelector } from 'react-redux';
import { Selector } from '../../theme/commonstyles';
import { ExtensiveContainer } from './styles';

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const [selected, select] = useState(1);
  const { content } = props;

  const ArrayFinal = [];
  content.array.map((item) => {
    const texto = <Typography variant='body1'>{item}</Typography>;
    ArrayFinal.push(texto);
  });

  const [readContent, setReadContent] = useState('');

  useEffect(() => {
    const arrayReadContent = [];
    arrayReadContent.push(content.title);
    content.array.map((item) => {
      arrayReadContent.push(item);
    });
    const stringReadContent = arrayReadContent.toString();
    setReadContent(stringReadContent);
  }, []);

  return (
    <ExtensiveContainer contraste={contrasteValue}>
      <Box className='panel'>
        <Box className='extended-content'>
          <Box className='header'>
            <Typography variant='body1' className='noRead'>
              {content.title}
            </Typography>
          </Box>
          <Box className='topic'>
            <Typography variant='body1' className='noRead'>
              {ArrayFinal[selected - 1]}
            </Typography>
          </Box>
        </Box>
        <Box className='buttons'>
          {ArrayFinal.map((item, index) => {
            return (
              <Selector
                key={index + 1}
                contraste={contrasteValue}
                selected={selected === index + 1}
                onClick={() => select(index + 1)}
              >
                <Typography variant='body1' className='noRead'>
                  {index + 1}
                </Typography>
              </Selector>
            );
          })}
        </Box>
      </Box>
      <Typography variant='body1' className='leitor'>
        {readContent}
      </Typography>
    </ExtensiveContainer>
  );
}
