import styled from 'styled-components';
import { Box } from '@material-ui/core';

import {
  animationstyles,
  containerstyles,
  contentstyles,
  fontstyles,
} from '../../theme/commonstyles';

export const ExtensiveContainer = styled(Box)`
  .panel {
    display: block;

    @media (min-width: 900px) {
      flex-grow: 1;
      display: flex;
      flex-direction: column;
    }
  }

  .extended-content {
    background: ${(props) => props.theme.palette.black.componentsHover};
    display: flex;
    flex-direction: column;
    border: 3px solid ${(props) => props.theme.palette.white.componentsHover};
    border-radius: 1rem;
    height: fit-content;
    overflow: hidden;
  }

  .header,
  .topic {
    padding: 0.75rem 1.5rem;
    text-indent: 0.5rem;

    @media (min-width: 900px) {
      text-indent: 1rem;
    }
  }

  .header {
    color: ${(props) => props.theme.palette.white.white};

    p {
      font-weight: 600;
    }
  }

  .topic {
    flex-grow: 1;
    background: ${(props) => props.theme.palette.white.white};
    min-height: 10vh;

    p {
      animation: fadeup 250ms;
    }
  }

  .buttons {
    display: flex;
    justify-content: space-evenly;

    @media (min-width: 900px) {
      justify-content: center;
    }
  }
  .leitor {
    display: none;
  }
`;
