import React from 'react';
import { Box } from '@material-ui/core';
import { ContainerPhotoPainel } from './styles';
import Card from './Card';

function PhotoPainel({ content }) {
  return (
    <ContainerPhotoPainel>
      <Box className='cards'>
        {content.map((item, index) => {
          return (
            <Card
              key={index}
              image={item.image}
              alt={item.alt}
              title={item.title}
              text={item.text}
            />
          );
        })}
      </Box>
    </ContainerPhotoPainel>
  );
}

export default PhotoPainel;
