import React from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components';
import { useSelector } from 'react-redux';

const StyledReference = styled(Link)`
  color: ${(props) => props.color || props.theme.palette.white.white};

  font-weight: 900;
  transition: 250ms;

  :hover {
    //background-color: ${(props) => props.theme.palette.white.componentsHover};
    //color: ${(props) => props.theme.palette.black.white};
  }
`;

export default function (props) {
  const contraste = useSelector((state) => state.contraste);
  const { num, onClick, color} = props;

  return (
    <StyledReference contraste={contraste} replace onClick={onClick} color={color}>
      <sup>{num}</sup>
    </StyledReference>
  );
}
