import React from 'react';
import { useSelector } from 'react-redux';
import { Button, ActionButton } from './styles';
import theme from '../../theme';

import {
  MenuIcon,
  HomeIcon,
  PrevIcon,
  NextIcon,
  HelpIcon,
  DownloadIcon,
  ReplayIcon,
} from './icons';
//Disponíveis também: AudioIcon, CloseIcon, ZoomIcon

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const { type, color, margin, to, disabled, opacity, onClick, tooltip, top } =
    props;

  const Icon = () => {
    return (
      <>
        {
          {
            home: <HomeIcon fill={theme.palette.white.white} />,
            menu: <MenuIcon fill={theme.palette.white.white} />,
            help: <HelpIcon fill={theme.palette.white.white} />,
            replay: <ReplayIcon fill={theme.palette.white.white} />,
            previous: <PrevIcon fill={theme.palette.white.white} />,
            next: <NextIcon fill={theme.palette.white.white} />,
            download: <DownloadIcon fill={theme.palette.white.white} />,
            //adicionar mais conforme necessário
          }[type]
        }
      </>
    );
  };

  return (
    <>
      {to ? (
        <Button
          to={to}
          color={color}
          margin={margin}
          tooltip={tooltip}
          data-tooltip={tooltip}
          contraste={contrasteValue}
          top={top}
        >
          <Icon type={type} disabled={disabled} />
        </Button>
      ) : (
        <>
          {disabled ? (
            <ActionButton disabled />
          ) : (
            <>
              {opacity ? (
                <ActionButton
                  contraste={contrasteValue}
                  top={top}
                  color={color}
                  margin={margin}
                  opacity
                >
                  <Icon type={type} disabled={disabled} />
                </ActionButton>
              ) : (
                <ActionButton
                  contraste={contrasteValue}
                  top={top}
                  color={color}
                  margin={margin}
                  tooltip={tooltip}
                  onClick={onClick}
                  data-tooltip={tooltip}
                >
                  <Icon type={type} disabled={disabled} />
                </ActionButton>
              )}
            </>
          )}
        </>
      )}
    </>
  );
}
