import React from 'react';
import { Box, Typography } from '@material-ui/core';
import { Container } from './styles';
import { useSelector } from 'react-redux';

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const { content, color, backgroundColor, image, right, alt } = props;
  return (
    <>
      <Container
        color={color}
        backgroundColor={backgroundColor}
        right={right}
        contraste={contrasteValue}
      >
        {image ? (
          <Box className="image">
            <img src={image} alt={alt} />
          </Box>
        ) : null}
        <Typography variant="body1" className="contentShaded">
          {content}
        </Typography>
      </Container>
    </>
  );
}
