import styled from 'styled-components';

export const Container = styled.div`
  width: 100%;
  height: 100%;
  position: relative;

  .contentSlide {
    width: 60%;
    height: 100%;
    /* height: 100%; */
    padding-top: 1.5rem;
    margin: 0 auto;
    @media (max-width: 900px) {
      width: 87%;
    }
    @media (max-height: 600px) {
        height: 90%;
      }
  }

  .contentBox {
    width: 100%;
    height: auto;
    /* height: 100%; */
    display: flex;
    flex-direction: column;
    position: relative;
    align-items: center;
    border: 2px solid ${(props) => props.theme.palette.white.components};
    color: ${(props) => props.theme.palette.white.black};
    border-radius: 1rem;
    padding: 1.5rem;
    margin-bottom: 0.25rem;

    @media (min-width: 900px) {
      padding: 2rem;
    }

    @media (min-width: 900px) and (min-height: 900px) {
      margin-bottom: 1rem;
    }
  }
  .img {
    max-width: 100%;
    width: 30%;
    box-sizing: border-box;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      width: 100%;
    }
  }
  .button {
    position: absolute;
    top: 40%;
  }
  .prev {
    left: -4%;
    @media (max-width: 900px) {
      left: -5%;
    }
  }
  .next {
    right: -4%;
    @media (max-width: 900px) {
      right: -5%;
    }
  }
`;
