import React, { useEffect, useState } from 'react';
import { Box, Typography } from '@material-ui/core';
import { useSelector } from 'react-redux';
import { TimeLineContainer } from './styles';
import { LetterButton } from '../../theme/commonstyles';

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const [selected, select] = useState(0);
  const { content } = props;

  const ArrayFinal = [];
  content.map((item) => {
    const texto = (
      <Typography variant='body1' className='indented'>
        {item.texto}
      </Typography>
    );
    ArrayFinal.push(texto);
  });

  const [read, setRead] = useState('');

  useEffect(() => {
    console.log(content);
    const arrayRead = [];
    content.map((item) => {
      arrayRead.push(item.ano);
      arrayRead.push(item.texto);
    });
    const stringRead = arrayRead.toString();
    setRead(stringRead);
  }, []);

  return (
    <TimeLineContainer contraste={contrasteValue}>
      <Box className='buttons'>
        {content.map((item, index) => {
          return (
            <LetterButton
              key={index}
              contraste={contrasteValue}
              onClick={() => select(index)}
              selected={selected === index}
            >
              <Typography variant='body1' className='noRead'>
                {item.ano}
              </Typography>
            </LetterButton>
          );
        })}
      </Box>
      <Box className='text noRead'>{ArrayFinal[selected]}</Box>
      <Typography className='leitor'>{read}</Typography>
    </TimeLineContainer>
  );
}
