import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import SaberMais from "../../assets/buttons/objetivo.png";
import { Content } from "./styles";

export default function () {
    const [refNumber, setRefNumber] = useState(0);
    const [openDrawer, setOpenDrawer] = useState(false);

    const handleOpenDrawer = (value) => {
        setRefNumber(value);
        setOpenDrawer(!openDrawer);
    };

    const content = (
        <>
            <p>Ao final deste infográfico, você será capaz de entender a diferença entre epilepsia e crises epilépticas.</p>

        </>
    );

    return (
        <DefaultPage
            title="Apresentação"
            refNumber={refNumber}
            openDrawer={openDrawer}
            next="/p2"
            titleCenter
        >
            <Content>
                <Box className="text">
                    <Typography variant="body1">
                        <p>Olá, aluna(o)!</p>
                        <p>
                            O atendimento de pessoas com diagnóstico de epilepsia é
                            comum na Atenção Primária à Saúde (APS). Os profissionais
                            que atuam neste serviço devem conhecer as definições,
                            classificações e os manejos das crises epilépticas, pois
                            contribuem para a melhora da qualidade da assistência e
                            do processo de trabalho em equipe para este tipo de
                            atendimento.
                        </p>
                        <p id="mid-text">
                            Portanto, é importante diferenciar epilepsia (distúrbio 
                            contínuo da função ou estrutura cerebral) de crise epiléptica 
                            (manifestação intermitente e isolada, que pode ter outras 
                            causas além da epilepsia).
                        </p>
                        <p>
                        Este recurso abordará o manejo das crises epilépticas e epilepsia 
                        na APS, a definição e classificação das crises epilépticas, as 
                        causas das crises epilépticas, os fármacos e as substâncias indutoras 
                        de crises epilépticas. Vamos lá?
                        </p>
                    </Typography>
                </Box>
                <Box className="dialog">
                    <Dialog
                        content={content}
                        title="Objetivo"
                        image={SaberMais}
                    />
                </Box>
            </Content>
        </DefaultPage>
    );
}
