import React from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";

export default function () {
  return (
    <DefaultPage title="Causas das Crises Epilépticas" prev="/p9" next="/p11">
      <Content>
        <Typography>
          No acolhimento de usuários que apresentaram crise epiléptica recente,
          é importante avaliar situações que poderiam ter desencadeado as
          crises, como:
        </Typography>
        <Box className="text">
          <Box className="box1">
            <Typography>
              <p>Uso inadequado da medicação;</p>
            </Typography>
          </Box>
          <Box className="box2">
            <Typography>
              <p>História de infecções recentes ou febre;</p>
            </Typography>
          </Box>
          <Box className="box3">
            <Typography>
              <p>Traumatismo craniano;</p>
            </Typography>
          </Box>
          <Box className="box4">
            <Typography>
              <p>
                Doenças crônicas que poderiam desencadear uma crise convulsiva.
              </p>
            </Typography>
          </Box>
        </Box>

        <Typography>
          <p>
            Essas perguntas podem ser feitas por qualquer profissional que
            esteja realizando o acolhimento. Vale ressaltar que é imprescindível
            questionar sobre o uso de drogas ilícitas ou lícitas e quais os
            medicamentos ocasionalmente utilizados. Conhecer os riscos e as
            vulnerabilidades do usuário, como a dificuldade de acesso ao
            medicamento ou situações de abuso de substâncias, pode auxiliar na
            definição de prioridade para aquele atendimento.
          </p>
        </Typography>
      </Content>
    </DefaultPage>
  );
}
