import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import Slide from "../../components/Slide";
import { Content } from "./styles";

import imagem1 from "../../assets/images/info_media/p11/imagem1.png";
import imagem2 from "../../assets/images/info_media/p11/imagem2.png";
import imagem3 from "../../assets/images/info_media/p11/imagem3.png";
import imagem4 from "../../assets/images/info_media/p11/imagem4.png";

export default function () {
    const [refNumber, setRefNumber] = useState(0);
    const [openDrawer, setOpenDrawer] = useState(false);

    const handleOpenDrawer = (value) => {
        setRefNumber(value);
        setOpenDrawer(!openDrawer);
    };

    const material = [
        {
            img: imagem1,
            text: (
                <p>
                    A convulsão febril tem maior prevalência entre crianças de 6
                    meses a 6 anos e é definida como uma crise epiléptica provocada
                    por um estado febril, em pessoa sem história de distúrbio
                    convulsivo por outra causa. Sua característica, por definição, é
                    do tipo tônico-clônica de início generalizado, que apresenta
                    duração limitada.
                </p>
            ),
        },
        {
            img: imagem2,
            text: (
                <p>
                    Esse tipo de convulsão está relacionado ao baixo limiar
                    convulsivante do córtex cerebral que está em desenvolvimento.
                    Quando ocorre em temperaturas corpóreas mais baixas está
                    associada a um risco maior de recorrência. A história familiar de
                    convulsão febril ou de epilepsia é um fator de risco para a
                    condição.
                </p>
            ),
        },
        {
            img: imagem3,
            text: (
                <p>
                    A crise que apresenta duração inferior a 15 minutos é definida
                    como simples e não tem recorrência em 24 horas, sendo a forma
                    mais comum de apresentação (80% dos casos). Já as crises febris
                    complexas são prolongadas (duram mais do que 15 minutos) ou
                    recorrem em menos de 24 horas.
                </p>
            ),
        },
        {
            img: imagem4,
            text: (
                <p>
                    Na convulsão febril, o eletroencefalograma (EEG) tem pouco
                    benefício na avaliação diagnóstica ou terapêutica, sendo
                    reservado para casos suspeitos de crise epiléptica de outra
                    etiologia. O exame deve ser solicitado formalmente quando a
                    pessoa apresenta suspeita de lesão cerebral subjacente, déficit
                    de desenvolvimento neuropsicomotor ou presença de déficit
                    neurológico.
                </p>
            ),
        },
    ];

    return (
        <DefaultPage
            title="Causas das Crises Epilépticas"
            prev="/p10"
            next="/p12"
            refNumber={refNumber}
            openDrawer={openDrawer}
        >
            <Content>
                <Typography>
                    Você gostaria de saber mais sobre Convulsão febril? Veja a seguir
                    alguns aspectos característicos da convulsão febril
                    <Reference num="5" onClick={() => handleOpenDrawer(5)} />:
                </Typography>
                <Slide content={material} />
            </Content>
        </DefaultPage>
    );
}
