import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import { Content } from "./styles";

import imagem from "../../assets/images/info_media/p12/imagem.png";
export default function () {
    const [refNumber, setRefNumber] = useState(0);
    const [openDrawer, setOpenDrawer] = useState(false);

    const handleOpenDrawer = (value) => {
        setRefNumber(value);
        setOpenDrawer(!openDrawer);
    };

    return (
        <DefaultPage
            title="Fármacos e substâncias indutoras de crises epilépticas"
            prev="/p11"
            next="/p13"
            refNumber={refNumber}
            openDrawer={openDrawer}
        >
            <Content>
                <Typography>
                    <p>
                        Alguns fármacos e substâncias estão mais comumente associados
                        a crises epilépticas provocadas/reativa
                        <Reference num="2" onClick={() => handleOpenDrawer(2)} />.
                        Veja a seguir:
                    </p>
                </Typography>
                <Box className="imagem">
                    <img src={imagem} />
                </Box>
            </Content>
        </DefaultPage>
    );
}
