import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";

export default function () {
    return (
        <DefaultPage title="Considerações Finais" prev="/p12">
            <Content>
                <Box className="text">
                    <Typography variant="body1">
                        <p>
                            Com base neste recurso, você pôde compreender a 
                            classificação, as definições e o manejo na APS 
                            para a epilepsia e a crise epiléptica com o objetivo 
                            de melhorar a qualidade de vida dos usuários dos 
                            serviços de saúde que apresentam essas condições.
                        </p>
                        <p id="mid-text">
                            É crucial atentar-se para os principais fatores
                            etiológicos e agentes desencadeantes, como aspectos
                            genéticos, uso de álcool e outras drogas, infecções,
                            traumatismos, para as doenças epilépticas, considerando a
                            idade dos indivíduos e possíveis medicamentos indutores
                            de crises epiléticas, com intuito de diminuir a
                            gravidade das crises.
                        </p>
                        <p>
                            Esperamos que você tenha compreendido os pontos abordados
                            aqui e que possa inserir esses conhecimentos na sua
                            prática de trabalho.
                        </p>
                        <p>Até a próxima!</p>
                    </Typography>
                </Box>
            </Content>
        </DefaultPage>
    );
}
