import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import { Content } from "./styles";

export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Definição e Classificação das Crises Epilépticas"
      prev="/p3"
      next="/p5"
      refNumber={refNumber}
      openDrawer={openDrawer}
    >
      <Content>
        <Box>
          <Typography variant="body1">
            <p>
              As crises são classificadas conforme seu início (focal ou
              generalizado) e outros sintomas associados. Na maioria das vezes a
              crise não ocorre na unidade de saúde, portanto as informações
              fornecidas por algum familiar, ou alguém que presenciou a crise
              epiléptica, são muito importantes para a compreensão da crise.
            </p>
            <p>
              Contudo, quando a crise ocorre na unidade, a primeira pessoa que
              acolheu a demanda é fundamental para identificar como a crise
              iniciou e os tipos de movimentos associados, a fim de auxiliar no
              manejo do usuário, além de conduzir os cuidados iniciais que serão
              abordados na sequência do curso. Após a crise epiléptica, exceto
              as crises de ausência, a pessoa pode apresentar
              <Reference num="3," onClick={() => handleOpenDrawer(3)} />
              <Reference num="5" onClick={() => handleOpenDrawer(5)} />:
            </p>
          </Typography>
        </Box>
        <Box className="cards">
          <Box className="card1">
            <Typography>
              Período confusional
              <br />
              (que dura de segundos a horas)
            </Typography>
          </Box>
          <Box className="card2">
            <Typography>Sonolência</Typography>
          </Box>
          <Box className="card3">
            <Typography>Fadiga</Typography>
          </Box>
          <Box className="card4">
            <Typography>Dores Musculares</Typography>
          </Box>
        </Box>
        <Typography>
          Esses sintomas são conhecidos como estado pós-ictal. Um estado
          pós-ictal prolongado aumenta a suspeição de crise epiléptica, pois na
          síncope essa manifestação não costuma ocorrer
          <Reference num="4" onClick={() => handleOpenDrawer(4)} />.
        </Typography>
      </Content>
    </DefaultPage>
  );
}
