import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import AnimatedList from "../../components/AnimatedList";
import Dialog from "../../components/Dialog";
import { Content } from "./styles";

export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };
  const list = [
    <>
      <p>
        Nessa classificação o termo crise “parcial” passa a ser chamado de
        “focal”, podendo ou não ter perturbações da consciência
        <Reference num="5" onClick={() => handleOpenDrawer(5)} color="#fff" />;
      </p>
    </>,
    <>
      <p>
        O termo “crise parcial secundariamente generalizada” foi substituído por
        crises focais tônico-clônica bilaterais
        <Reference num="6" onClick={() => handleOpenDrawer(6)} color="#fff" />;
      </p>
    </>,
    <>
      <p>
        Além disso, a nova classificação permite classificar crises que não
        tiveram seu início reconhecido
        <Reference num="5" onClick={() => handleOpenDrawer(5)} color="#fff" />.
      </p>
    </>,
  ];

  const content1 = (
    <>
      <p>
        Automatismo; Paragem de atividade; Hipercinética; Autonômica; Cognitiva
        e Emocional
        <Reference num="5" onClick={() => handleOpenDrawer(5)} />.
      </p>
    </>
  );
  const content2 = (
    <>
      <p>
        Ausências com mioclonias palpebrais; Ausências mioclônicas;
        Mioclônico-atônicas; Mioclônica-tônico-clônica
        <Reference num="5" onClick={() => handleOpenDrawer(5)} />.
      </p>
    </>
  );

  return (
    <DefaultPage
      title="Definição e Classificação das Crises Epilépticas"
      prev="/p4"
      next="/p6"
      refNumber={refNumber}
      openDrawer={openDrawer}
    >
      <Content>
        <Typography variant="body1">
          A classificação das crises epilépticas sofreu algumas mudanças após a
          nova classificação proposta pela International League Against Epilepsy
          (ILAE) em 2017, baseada na classificação original de 1981<Reference num="5" onClick={() => handleOpenDrawer(5)} color="#984CBB" />. Segue as
          principais mudanças desta classificação:
        </Typography>
        <br />
        <AnimatedList list={list} paresColor="#fff" imparesColor="#fff" />
        <br />
        <Typography variant="body1">
          A classificação de crises epilépticas começa com a determinação se as
          manifestações iniciais das crises são focais ou generalizadas<Reference num="6" onClick={() => handleOpenDrawer(6)} color="#984CBB" />. <strong>Clique</strong>{" "}
          nos botões para conhecer melhor os tipos de crise.
        </Typography>
        <Box className=" mt-3 dialogs">
          <button id="button1">
            <Dialog
              buttonText="Novos tipos de crises focais"
              title="Novos tipos de crises focais"
              content={content1}
            />
          </button>
          <button id="button2">
            <Dialog
              buttonText="Novos tipos de crises generalizadas"
              title="Novos tipos de crises generalizadas"
              content={content2}
            />
          </button>
        </Box>
      </Content>
    </DefaultPage>
  );
}
