import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import { Content } from "./styles";
import Zoom from "../../components/Zoom";
import folder from "../../assets/images/info_media/folder.png";
import pdf from "../../assets/images/info_media/pdf.pdf";

export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Definição e Classificação das Crises Epilépticas"
      prev="/p5"
      next="/p7"
      refNumber={refNumber}
      openDrawer={openDrawer}
    >
      <Content>
        <Typography>
          <p>
            A classificação das crises epilépticas é apresentada por colunas,
            porém não hierárquica (podendo ter níveis saltados). Inicialmente,
            identifica-se a crise conforme seu início “focal”, “generalizado” ou
            “início desconhecido”. Nas crises focais é opcional incluir o estado
            de consciência, porém seus sintomas são classificados como “motores”
            e “não motores”, assim como as crises de início generalizado
            <Reference num="6" onClick={() => handleOpenDrawer(6)} />.
          </p>
          <p>
            <b>Clique</b> na imagem abaixo para compreender a classificação
            atual das crises epilépticas:
          </p>

          <div className="imagem">
            <a href={pdf} target="_blank">
              <img src={folder} />
            </a>
          </div>
        </Typography>
      </Content>
    </DefaultPage>
  );
}
