import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import Dialog2 from "../../components/Dialog2";
import { Content } from "./styles";

import fundo from "../../assets/images/info_media/p9/imagem.png";
import card1 from "../../assets/images/info_media/p9/card1.png";
import card2 from "../../assets/images/info_media/p9/card2.png";
import card3 from "../../assets/images/info_media/p9/card3.png";
import card4 from "../../assets/images/info_media/p9/card4.png";
import card5 from "../../assets/images/info_media/p9/card5.png";

export default function () {
    const [refNumber, setRefNumber] = useState(0);
    const [openDrawer, setOpenDrawer] = useState(false);

    const handleOpenDrawer = (value) => {
        setRefNumber(value);
        setOpenDrawer(!openDrawer);
    };

    const content1 = (
        <>
            <ul>
                <li>Convulsões febris;</li>
                <li>
                    Distúrbios genéticos (síndromes metabólicas, degenerativas, de
                    epilepsia primária);
                </li>
                <li>Infecção do SNC;</li>
                <li>Distúrbios do desenvolvimento; </li>
                <li>Traumatismo;</li>
                <li>Idiopáticas.</li>
            </ul>
        </>
    );
    const content2 = (
        <>
            <ul>
                <li>Hipóxia e isquemia perinatais;</li>
                <li>Hemorragia e traumatismos cranianos;</li>
                <li>Infecção aguda do SNC;</li>
                <li>
                    Distúrbios metabólicos (hipoglicemia,
                    hipocalcemia, hipomagnesemia, deficiência de piridoxina);
                </li>
                <li>Abstinência de drogas;</li>
                <li>Distúrbios de desenvolvimento;</li>
                <li>Distúrbios genéticos.</li>
            </ul>
        </>
    );
    const content3 = (
        <>
            <ul>
                <li>Doença cerebrovascular;</li>
                <li>Tumor cerebral;</li>
                <li>Abstinência do álcool;</li>
                <li>
                    Distúrbios metabólicos (uremia, insuficiência hepática,
                    anormalidades eletrolíticas, hipoglicemia);
                </li>
                <li>Doença de Alzheimer e outras neurodegenerativas;</li>
                <li>Idiopáticas.</li>
            </ul>
        </>
    );
    const content4 = (
        <>
            <ul>
                <li>Traumatismo;</li>
                <li>Abstinência do álcool;</li>
                <li>Uso de drogas;</li>
                <li>Tumor cerebral;</li>
                <li>Idiopáticas.</li>
            </ul>
        </>
    );
    const content5 = (
        <>
            <ul>
                <li>Traumatismo;</li>
                <li>Distúrbios genéticos;</li>
                <li>Infecção do SNC;</li>
                <li>Tumor cerebral;</li>
                <li>Uso de drogas;</li>
                <li>Idiopáticas.</li>
            </ul>
        </>
    );

    return (
        <DefaultPage
            title="Causas das Crises Epilépticas"
            prev="/p8"
            next="/p10"
            refNumber={refNumber}
            openDrawer={openDrawer}
        >
            <Content>
                <Typography>
                    Existem diversas causas para crises epilépticas não provocadas.{" "}
                    <b>Clique</b> nos personagens abaixo, para conhecer as principais causas
                    conforme a idade da pessoa
                    <Reference num="2," onClick={() => handleOpenDrawer(2)} />
                    <Reference num="5" onClick={() => handleOpenDrawer(5)} />:
                </Typography>
                <Box className="menu">
                    <img id="fundo" src={fundo} />
                    <Box className="card1">
                        <Dialog2
                            content={content1}
                            title="Lactentes e crianças (> 1 mês a < 12 anos):"
                            image={card1}
                        />
                    </Box>
                    <Box className="card2">
                        <Dialog2
                            content={content2}
                            title="Recém-nascido:"
                            image={card2}
                        />
                    </Box>
                    <Box className="card3">
                        <Dialog2
                            content={content3}
                            title="Adultos mais velhos (> 35 anos):"
                            image={card3}
                        />
                    </Box>
                    <Box className="card4">
                        <Dialog2
                            content={content4}
                            title="Adultos jovens (18–35 anos):"
                            image={card4}
                        />
                    </Box>
                    <Box className="card5">
                        <Dialog2
                            content={content5}
                            title="Adolescentes (12–18 anos):"
                            image={card5}
                        />
                    </Box>
                </Box>
            </Content>
        </DefaultPage>
    );
}
